---
- hosts: localhost
  connection: local
  gather_facts: False
  vars:
    tag_prefix      : "mcf"
    aws_region      : "eu-west-1"
    owner           : "myself"
    account_name    : "my-dta"
    account_abbr    : "dta"
    environment_type: "test"
    environment_abbr: "tst"
    internal_route53:
      domainname: my.cloud
    aws_vpc_params:
      network               : "10.10.10.0/24"
      public_subnet_weight  : 1
      private_subnet_weight : 3
      database_subnet_weight: 1
  pre_tasks:
    - name: "Get latest AWS AMI's"
      include_role:
        name: aws-utils
        tasks_from: get_aws_amis
    - name: "Docker build and push"
      include_role:
        name: aws-ecs-awx
        tasks_from: build-docker
  roles:
    - aws-setup
    - aws-iam
    - aws-vpc
    - env-acl
    - aws-vpc-lambda
    - aws-securitygroups
    - aws-lambda
    - aws-ecs-cluster
    - aws-ecs-alb
    - aws-ecs-awx
